## net.i2p.router.networkdb.kademlia
Interface DataStore

All Known Implementing Classes:
  TransientDataStore

public interface DataStore

Method Summary
`int` `countLeaseSets()`
`DataStructure` `get(Hash key)`
`java.util.Set` `getKeys()`
`boolean` `isKnown(Hash key)`
`void` `put(Hash key, DataStructure data)`
`DataStructure` `remove(Hash key)`
`void` `restart()`

Method Detail

### isKnown

    public boolean isKnown(Hash key)

### get

    public DataStructure get(Hash key)

### put

    public void put(Hash key,
                    DataStructure data)

### remove

    public DataStructure remove(Hash key)

### getKeys

    public java.util.Set getKeys()

### restart

    public void restart()

### countLeaseSets

    public int countLeaseSets()